diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/examples/li-ion-energy-source-example.cc ns-3.43/src/energy/examples/li-ion-energy-source-example.cc
--- ns-3.42/src/energy/examples/li-ion-energy-source-example.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/examples/li-ion-energy-source-example.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
@@ -45,9 +34,19 @@
  * http://www.panasonic.com/industrial/includes/pdf/Panasonic_LiIon_CGR18650DA.pdf
  */
 
+// NS_DEPRECATED_3_43() - tag for future removal
+// LiIonEnergySource was deprecated in commit
+// https://gitlab.com/nsnam/ns-3-dev/-/commit/086913b0
+//
+// The new battery model is illustrated in
+// `src/energy/examples/generic-battery-discharge-example.cc`
+
+NS_WARNING_PUSH_DEPRECATED;
+
 static void
 PrintCellInfo(Ptr<LiIonEnergySource> es)
 {
+    NS_WARNING_POP;
     std::cout << "At " << Simulator::Now().As(Time::S)
               << " Cell voltage: " << es->GetSupplyVoltage()
               << " V Remaining Capacity: " << es->GetRemainingEnergy() / (3.6 * 3600) << " Ah"
@@ -72,7 +71,9 @@
 
     Ptr<SimpleDeviceEnergyModel> sem = CreateObject<SimpleDeviceEnergyModel>();
     Ptr<EnergySourceContainer> esCont = CreateObject<EnergySourceContainer>();
+    NS_WARNING_PUSH_DEPRECATED;
     Ptr<LiIonEnergySource> es = CreateObject<LiIonEnergySource>();
+    NS_WARNING_POP;
     esCont->Add(es);
     es->SetNode(node);
     sem->SetEnergySource(es);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/examples/rv-battery-model-test.cc ns-3.43/src/energy/examples/rv-battery-model-test.cc
--- ns-3.42/src/energy/examples/rv-battery-model-test.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/examples/rv-battery-model-test.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/basic-energy-harvester-helper.cc ns-3.43/src/energy/helper/basic-energy-harvester-helper.cc
--- ns-3.42/src/energy/helper/basic-energy-harvester-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/basic-energy-harvester-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
@@ -27,7 +16,7 @@
 
 BasicEnergyHarvesterHelper::BasicEnergyHarvesterHelper()
 {
-    m_basicEnergyHarvester.SetTypeId("ns3::BasicEnergyHarvester");
+    m_basicEnergyHarvester.SetTypeId("ns3::energy::BasicEnergyHarvester");
 }
 
 BasicEnergyHarvesterHelper::~BasicEnergyHarvesterHelper()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/basic-energy-harvester-helper.h ns-3.43/src/energy/helper/basic-energy-harvester-helper.h
--- ns-3.42/src/energy/helper/basic-energy-harvester-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/basic-energy-harvester-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/basic-energy-source-helper.cc ns-3.43/src/energy/helper/basic-energy-source-helper.cc
--- ns-3.42/src/energy/helper/basic-energy-source-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/basic-energy-source-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
@@ -26,7 +15,7 @@
 
 BasicEnergySourceHelper::BasicEnergySourceHelper()
 {
-    m_basicEnergySource.SetTypeId("ns3::BasicEnergySource");
+    m_basicEnergySource.SetTypeId("ns3::energy::BasicEnergySource");
 }
 
 BasicEnergySourceHelper::~BasicEnergySourceHelper()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/basic-energy-source-helper.h ns-3.43/src/energy/helper/basic-energy-source-helper.h
--- ns-3.42/src/energy/helper/basic-energy-source-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/basic-energy-source-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-harvester-container.cc ns-3.43/src/energy/helper/energy-harvester-container.cc
--- ns-3.42/src/energy/helper/energy-harvester-container.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-harvester-container.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
@@ -34,7 +23,8 @@
 TypeId
 EnergyHarvesterContainer::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::EnergyHarvesterContainer")
+    static TypeId tid = TypeId("ns3::energy::EnergyHarvesterContainer")
+                            .AddDeprecatedName("ns3::EnergyHarvesterContainer")
                             .SetParent<Object>()
                             .SetGroupName("Energy")
                             .AddConstructor<EnergyHarvesterContainer>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-harvester-container.h ns-3.43/src/energy/helper/energy-harvester-container.h
--- ns-3.42/src/energy/helper/energy-harvester-container.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-harvester-container.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-harvester-helper.cc ns-3.43/src/energy/helper/energy-harvester-helper.cc
--- ns-3.42/src/energy/helper/energy-harvester-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-harvester-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
@@ -57,7 +46,7 @@
         if (!EnergyHarvesterContainerOnNode)
         {
             ObjectFactory fac;
-            fac.SetTypeId("ns3::EnergyHarvesterContainer");
+            fac.SetTypeId("ns3::energy::EnergyHarvesterContainer");
             EnergyHarvesterContainerOnNode = fac.Create<energy::EnergyHarvesterContainer>();
             EnergyHarvesterContainerOnNode->Add(harvester);
             node->AggregateObject(EnergyHarvesterContainerOnNode);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-harvester-helper.h ns-3.43/src/energy/helper/energy-harvester-helper.h
--- ns-3.42/src/energy/helper/energy-harvester-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-harvester-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-model-helper.cc ns-3.43/src/energy/helper/energy-model-helper.cc
--- ns-3.42/src/energy/helper/energy-model-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-model-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
@@ -55,7 +44,7 @@
         if (!EnergySourceContainerOnNode)
         {
             ObjectFactory fac;
-            fac.SetTypeId("ns3::EnergySourceContainer");
+            fac.SetTypeId("ns3::energy::EnergySourceContainer");
             EnergySourceContainerOnNode = fac.Create<energy::EnergySourceContainer>();
             EnergySourceContainerOnNode->Add(src);
             (*i)->AggregateObject(EnergySourceContainerOnNode);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-model-helper.h ns-3.43/src/energy/helper/energy-model-helper.h
--- ns-3.42/src/energy/helper/energy-model-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-model-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-source-container.cc ns-3.43/src/energy/helper/energy-source-container.cc
--- ns-3.42/src/energy/helper/energy-source-container.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-source-container.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *          Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
@@ -33,7 +22,8 @@
 TypeId
 EnergySourceContainer::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::EnergySourceContainer")
+    static TypeId tid = TypeId("ns3::energy::EnergySourceContainer")
+                            .AddDeprecatedName("ns3::EnergySourceContainer")
                             .SetParent<Object>()
                             .SetGroupName("Energy")
                             .AddConstructor<EnergySourceContainer>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/energy-source-container.h ns-3.43/src/energy/helper/energy-source-container.h
--- ns-3.42/src/energy/helper/energy-source-container.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/energy-source-container.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *          Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/generic-battery-model-helper.cc ns-3.43/src/energy/helper/generic-battery-model-helper.cc
--- ns-3.42/src/energy/helper/generic-battery-model-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/generic-battery-model-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Tokushima University, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
@@ -24,7 +13,7 @@
 
 GenericBatteryModelHelper::GenericBatteryModelHelper()
 {
-    m_batteryModel.SetTypeId("ns3::GenericBatteryModel");
+    m_batteryModel.SetTypeId("ns3::energy::GenericBatteryModel");
 }
 
 GenericBatteryModelHelper::~GenericBatteryModelHelper()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/generic-battery-model-helper.h ns-3.43/src/energy/helper/generic-battery-model-helper.h
--- ns-3.42/src/energy/helper/generic-battery-model-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/generic-battery-model-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2023 Tokushima University, Japan.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/li-ion-energy-source-helper.cc ns-3.43/src/energy/helper/li-ion-energy-source-helper.cc
--- ns-3.42/src/energy/helper/li-ion-energy-source-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/li-ion-energy-source-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Hoda Ayatollahi <hayatoll@ur.rochester.edu>
  *          Cristiano Tapparello <cristiano.tapparello@rochester.edu>
@@ -28,7 +17,7 @@
 
 LiIonEnergySourceHelper::LiIonEnergySourceHelper()
 {
-    m_liIonEnergySource.SetTypeId("ns3::LiIonEnergySource");
+    m_liIonEnergySource.SetTypeId("ns3::energy::LiIonEnergySource");
 }
 
 LiIonEnergySourceHelper::~LiIonEnergySourceHelper()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/li-ion-energy-source-helper.h ns-3.43/src/energy/helper/li-ion-energy-source-helper.h
--- ns-3.42/src/energy/helper/li-ion-energy-source-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/li-ion-energy-source-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Hoda Ayatollahi <hayatoll@ur.rochester.edu>
  *          Cristiano Tapparello <cristiano.tapparello@rochester.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/rv-battery-model-helper.cc ns-3.43/src/energy/helper/rv-battery-model-helper.cc
--- ns-3.42/src/energy/helper/rv-battery-model-helper.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/rv-battery-model-helper.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
@@ -26,7 +15,7 @@
 
 RvBatteryModelHelper::RvBatteryModelHelper()
 {
-    m_rvBatteryModel.SetTypeId("ns3::RvBatteryModel");
+    m_rvBatteryModel.SetTypeId("ns3::energy::RvBatteryModel");
 }
 
 RvBatteryModelHelper::~RvBatteryModelHelper()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/helper/rv-battery-model-helper.h ns-3.43/src/energy/helper/rv-battery-model-helper.h
--- ns-3.42/src/energy/helper/rv-battery-model-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/helper/rv-battery-model-helper.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/basic-energy-harvester.cc ns-3.43/src/energy/model/basic-energy-harvester.cc
--- ns-3.42/src/energy/model/basic-energy-harvester.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/basic-energy-harvester.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
@@ -39,7 +28,8 @@
 BasicEnergyHarvester::GetTypeId()
 {
     static TypeId tid =
-        TypeId("ns3::BasicEnergyHarvester")
+        TypeId("ns3::energy::BasicEnergyHarvester")
+            .AddDeprecatedName("ns3::BasicEnergyHarvester")
             .SetParent<EnergyHarvester>()
             .SetGroupName("Energy")
             .AddConstructor<BasicEnergyHarvester>()
